cancel
Showing results for 
Search instead for 
Did you mean: 

Drivers & Software

aeton
Adept I

Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

If I try to start SWBF2 it say. "Please updated your AMD Radeon driver. Detected AMD Radeon driver version 17.4.4. The required driver version is 17.7.1 (17.10.3211) or later. Please update your drivers at (link) before playing the game.

My AMD Radeon R7 250X says in the Radeon software, when I click on Updates: Currently installed: 17.10.1731-170 ...)

My game does not start just this message pops up.

18 Replies
hardcoregames_
Big Boss

Re: Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

the current driver is 20.5.1 which applies to GCN cards, but I cannot determine from any resource online what is stuffed into the card whether its terrascale or GCN

aeton
Adept I

Re: Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

So I just found out, its a Radeon R7 250X which I believe is GCN if that helps the case in any way.

0 Likes
mutantxdvd
Adept III

Re: Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

Ignore the message and play the game. It says that for me playing Gear Tactics, or certain other games, your games will work perfectly fine, you don't have to update if you don't want too. I'm using 2019 enterprise 19.Q4.1 drivers on my RX 570 and it says that, again just ignore it. 

aeton
Adept I

Re: Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

I would love to do that but my problem is, the game doesn't start the message just pops up and nothing happens.

hardcoregames_
Big Boss

Re: Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

aeton wrote:

So I just found out, its a Radeon R7 250X which I believe is GCN if that helps the case in any way.

That card is GCN ver 1

aeton
Adept I

Re: Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

OK, how does that contribute to solving my problem? I really dont know much about the topic.

0 Likes
pokester
MVP

Re: Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

Southern Islands I believe. 

pokester
MVP

Re: Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

Can you not update then to the latest 20.5.1 driver? If you don't want to go to the newest even a late 2019 driver?

aeton
Adept I

Re: Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

No the game does not detect my drivers update even tho it says it in the AMD software.

0 Likes